package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetCurrentCpPo;
import com.ruoyi.tc.mapper.AssetCurrentCpMapper;
import com.ruoyi.tc.service.*;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 现有资产复制表(AssetCurrentResponse)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
@Service("assetCurrentCpService")
public class AssetCurrentCpServiceImpl extends ServiceImpl<AssetCurrentCpMapper, AssetCurrentCpPo> implements AssetCurrentCpService {

    @Resource
    private  AssetCurrentCpMapper assetCurrentCpMapper;
    @Override
    public void deletByAssetIdandTaskId(Long assetId,int taskId) {
        assetCurrentCpMapper.deletByAssetIdandTaskId(assetId,taskId);
    }

    @Override
    public List<AssetCurrentCpPo> findByTaskId(int taskId) {
        return assetCurrentCpMapper.findByTaskId(taskId);
    }

    @Override
    public void updateByAssetId(Integer assetId, Integer taskId, String btgyy) {
        assetCurrentCpMapper.updateByAssetId(assetId,taskId,btgyy);
    }
}

